Qt 5.6 | Qt 3D | QML Types | GeometryRenderer QML Type

Qt 5.6.3 Reference Documentation

# GeometryRenderer QML Type

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QGeometryRenderer

- List of all members, including inherited members

## Properties

- baseInstance : int
- baseVertex : int
- geometry : Geometry
- instanceCount : int
- primitiveCount : int
- primitiveRestart : bool
- primitiveType : QGeometryRenderer::PrimitiveType
- restartIndex : int

## Detailed Description

## Property Documentation

baseInstance : int

Holds the base instance.

baseVertex : int

Holds the base vertex.

geometry : Geometry

Holds the geometry.

instanceCount : int

Holds the instance count.

primitiveCount : int

Holds the primitive count.

primitiveRestart : bool

Holds the primitive restart flag.

primitiveType : QGeometryRenderer::PrimitiveType

Holds the primitive type.

restartIndex : int

Holds the restart index.